package com.ruoyi.basicData.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.TWarehouseUser;

/**
 * 仓库和用户关联Service接口
 *
 * @author ruoyi
 * @date 2022-01-05
 */
public interface ITWarehouseUserService {
    /**
     * 查询仓库和用户关联
     *
     * @param userId 仓库和用户关联ID
     * @return 仓库和用户关联
     */
    public TWarehouseUser selectTWarehouseUserById(Long userId);

    /**
     * 查询仓库和用户关联列表
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 仓库和用户关联集合
     */
    public List<TWarehouseUser> selectTWarehouseUserList(TWarehouseUser tWarehouseUser);

    /**
     * 根据用户ID获取仓库选择框列表
     *
     * @param userId 用户ID
     * @return 选中仓库ID列表
     */
    public List<Long> selectWarehouseListByUserId(Long userId);

    /**
     * 新增仓库和用户关联
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 结果
     */
    public int insertTWarehouseUser(TWarehouseUser tWarehouseUser);

    /**
     * 修改仓库和用户关联
     *
     * @param tWarehouseUser 仓库和用户关联
     * @return 结果
     */
    public int updateTWarehouseUser(TWarehouseUser tWarehouseUser);

    /**
     * 批量删除仓库和用户关联
     *
     * @param userIds 需要删除的仓库和用户关联ID
     * @return 结果
     */
    public int deleteTWarehouseUserByIds(Long[] userIds);

    /**
     * 删除仓库和用户关联信息
     *
     * @param userId 仓库和用户关联ID
     * @return 结果
     */
    public int deleteTWarehouseUserById(Long userId);

    /**
     * bi大屏仓库列表
     *
     * @return 仓库集合
     */
    public List<Map<String, Object>> biWarehouseList();

}
